Page MenuHomePhabricator

Help panel icon and Ask question conflict with the mobile jump-to-top feature
Closed, DeclinedPublic

Description

When the "Wikipedia Beta" is activated on mobile version in Arabic Wikipedia, the help icon and "Ask question" conflict with jump-to-top feature:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 7:01 PM
JTannerWMF added subscribers: ovasileva, JTannerWMF.

Hey @ovasileva one of our users noticed this jump to top feature is in conflict with the Help Panel, is this something you know more about?

Hey @ovasileva one of our users noticed this jump to top feature is in conflict with the Help Panel, is this something you know more about?

The jump to top feature is a part of beta mode. It appears for all users that have turned beta on

Shouldn't that icon be on the right for RTL wikis?

@ovasileva -- thanks, I have a few follow-up questions:

  • Have you encountered any overlap issues before, like we're experiencing with the help panel?
  • Does the arrow go to different sides of the screen for RTL vs. LTR languages?
  • Do you know offhand what percent of users have this turned on?

We're trying to decide whether to prioritize dealing with the fact that these two features overlap each other on RTL languages.

ovasileva triaged this task as Normal priority.Aug 6 2019, 2:56 PM
ovasileva added a project: Readers-Web-Backlog.
ovasileva moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

@MMiller_WMF - we don't have the button itself instrumented, but usage of beta mode altogether on mobile is fairly low. That said, a couple of things we can do:

    • Move the back to top arrow to the other side (as it is on LTR languages). @Amire80 - do you think this would be an issue for RTL readers?
  • Disable the arrow on just this page - this is probably the easiest thing to do, but it does introduce a somewhat odd exception

@MMiller_WMF - we don't have the button itself instrumented, but usage of beta mode altogether on mobile is fairly low. That said, a couple of things we can do:

    • Move the back to top arrow to the other side (as it is on LTR languages). @Amire80 - do you think this would be an issue for RTL readers?
  • Disable the arrow on just this page - this is probably the easiest thing to do, but it does introduce a somewhat odd exception

Thanks for asking!

I'm not sure why is it a special problem for RTL languages. This feature is also being tested in Korean, isn't it? How does it look there? (I'm sorry if I'm saying something clueless: I heard Marshall mentioning this feature many times in meeting, but I never actually tried it.)

ovasileva added a comment.EditedAug 7 2019, 3:25 PM

Thanks for asking!
I'm not sure why is it a special problem for RTL languages. This feature is also being tested in Korean, isn't it? How does it look there? (I'm sorry if I'm saying something clueless: I heard Marshall mentioning this feature many times in meeting, but I never actually tried it.)

That's a good point, @MMiller_WMF - are you displaying the ask a question button on the right for LTR languages? If so, we'd probably have to disable the back to top button on this page

Jdlrobson added a subscriber: Jdlrobson.

I'd recommend the growth team do one of the following:
The proper way:

  1. move the back to top of help icon when beta is enabled, so both are shown in line with each other/above. However given this feature is never going to be pushed as is to production this might be a wasted effort - but the solution is very straightfoward (should live in the Growth extension providing this feature)
.backtotop {
    bottom: 50px;
}
  1. do nothing - traffic in beta is pretty tiny in comparison to non-beta

the hacky options:

  1. Disable back to top feature on pages it effects when enabled (wgMinervaEnableBackToTop or CSS display: none !important)
  2. Hide back to top when the feedback overlay is open (using display: none !important)

@MMiller_WMF do any of these options work for you?

MMiller_WMF closed this task as Declined.Aug 30 2019, 11:54 PM

Thanks for thinking about this, @Jdlrobson. Given that the "back to top" feature is not going to production, and given that very few users have beta enabled, we are not going to work on this bug. Almost no newcomers will encounter it.

But if "back to top" ever does go to production, this is going to be an issue we'll need to revisit in advance of that happening. Please let us know if that feature is ever coming out of beta!